'use strict';let rebound={};(function(){let util=rebound.util={};let concat=Array.prototype.concat;let slice=Array.prototype.slice;util.bind=function bind(a,b){let args=slice.call(arguments,2);return function(){a.apply(b,concat.call(args,slice.call(arguments)))}};util.extend=function extend(a,b){for(let key in b){if(b.hasOwnProperty(key))a[key]=b[key]}};let SpringSystem=rebound.SpringSystem=function SpringSystem(a){this._springRegistry={};this._activeSprings=[];this.listeners=[];this._idleSpringIndices=[];this.looper=a||new AnimationLooper();this.looper.springSystem=this};util.extend(SpringSystem.prototype,{_springRegistry:null,_isIdle:true,_lastTimeMillis:-1,_activeSprings:null,listeners:null,_idleSpringIndices:null,createSpring:function createSpring(a,b){let springConfig;if(a===undefined||b===undefined){springConfig=SpringConfig.DEFAULT_ORIGAMI_SPRING_CONFIG}else{springConfig=SpringConfig.fromOrigamiTensionAndFriction(a,b)}return this.createSpringWithConfig(springConfig)},createSpringWithBouncinessAndSpeed:function createSpringWithBouncinessAndSpeed(a,b){let springConfig;if(a===undefined||b===undefined){springConfig=SpringConfig.DEFAULT_ORIGAMI_SPRING_CONFIG}else{springConfig=SpringConfig.fromBouncinessAndSpeed(a,b)}return this.createSpringWithConfig(springConfig)},createSpringWithConfig:function createSpringWithConfig(a){let spring=new Spring(this);this.registerSpring(spring);spring.setSpringConfig(a);return spring},getIsIdle:function getIsIdle(){return this._isIdle},registerSpring:function registerSpring(a){this._springRegistry[a.getId()]=a},deregisterSpring:function deregisterSpring(a){removeFirst(this._activeSprings,a);delete this._springRegistry[a.getId()]},advance:function advance(a,b){while(this._idleSpringIndices.length>0){this._idleSpringIndices.pop()}for(let i=0,len=this._activeSprings.length;i<len;i++){let spring=this._activeSprings[i];spring.systemShouldAdvance()?spring.advance(a/1000.0,b/1000.0):this._idleSpringIndices.push(this._activeSprings.indexOf(spring))}while(this._idleSpringIndices.length>0){let idx=this._idleSpringIndices.pop();idx>=0&&this._activeSprings.splice(idx,1)}},loop:function loop(a){let listener;if(this._lastTimeMillis===-1)this._lastTimeMillis=a-1;let ellapsedMillis=a-this._lastTimeMillis;this._lastTimeMillis=a;let i=0,len=this.listeners.length;for(i=0;i<len;i++){listener=this.listeners[i];listener.onBeforeIntegrate&&listener.onBeforeIntegrate(this)}this.advance(a,ellapsedMillis);if(this._activeSprings.length===0){this._isIdle=true;this._lastTimeMillis=-1}for(i=0;i<len;i++){listener=this.listeners[i];listener.onAfterIntegrate&&listener.onAfterIntegrate(this)}if(!this._isIdle)this.looper.run()},activateSpring:function activateSpring(a){let spring=this._springRegistry[a];if(this._activeSprings.indexOf(spring)==-1)this._activeSprings.push(spring);if(this.getIsIdle()){this._isIdle=false;this.looper.run()}},addListener:function addListener(a){this.listeners.push(a)},removeListener:function removeListener(a){removeFirst(this.listeners,a)},removeAllListeners:function removeAllListeners(){this.listeners=[]}});let Spring=rebound.Spring=function Spring(a){this._id='s'+Spring._ID++;this._springSystem=a;this.listeners=[];this._currentState=new PhysicsState();this._previousState=new PhysicsState();this._tempState=new PhysicsState()};util.extend(Spring,{_ID:0,MAX_DELTA_TIME_SEC:0.064,SOLVER_TIMESTEP_SEC:0.001});util.extend(Spring.prototype,{_id:0,_springConfig:null,_overshootClampingEnabled:false,_currentState:null,_previousState:null,_tempState:null,_startValue:0,_endValue:0,_wasAtRest:true,_restSpeedThreshold:0.001,_displacementFromRestThreshold:0.001,listeners:null,_timeAccumulator:0,_springSystem:null,destroy:function destroy(){this.listeners=[];this.frames=[];this._springSystem.deregisterSpring(this)},getId:function getId(){return this._id},setSpringConfig:function setSpringConfig(a){this._springConfig=a;return this},setCurrentValue:function setCurrentValue(a,b){this._startValue=a;this._currentState.position=a;if(!b)this.setAtRest();this.notifyPositionUpdated(false,false);return this},getCurrentValue:function getCurrentValue(){return this._currentState.position},getDisplacementDistanceForState:function getDisplacementDistanceForState(a){return Math.abs(this._endValue-a.position)},setEndValue:function setEndValue(a){if(this._endValue==a&&this.isAtRest())return this;this._startValue=this.getCurrentValue();this._endValue=a;this._springSystem.activateSpring(this.getId());for(let i=0,len=this.listeners.length;i<len;i++){let listener=this.listeners[i];let onChange=listener.onSpringEndStateChange;onChange&&onChange(this)}return this},setVelocity:function setVelocity(a){if(a===this._currentState.velocity)return this;this._currentState.velocity=a;this._springSystem.activateSpring(this.getId());return this},setRestSpeedThreshold:function setRestSpeedThreshold(a){this._restSpeedThreshold=a;return this},isOvershooting:function isOvershooting(){let start=this._startValue;let end=this._endValue;return this._springConfig.tension>0&&(start<end&&this.getCurrentValue()>end||start>end&&this.getCurrentValue()<end)},advance:function advance(a,b){let isAtRest=this.isAtRest();if(isAtRest&&this._wasAtRest)return;let adjustedDeltaTime=b;if(b>Spring.MAX_DELTA_TIME_SEC)adjustedDeltaTime=Spring.MAX_DELTA_TIME_SEC;this._timeAccumulator+=adjustedDeltaTime;let tension=this._springConfig.tension,friction=this._springConfig.friction,position=this._currentState.position,velocity=this._currentState.velocity,tempPosition=this._tempState.position,tempVelocity=this._tempState.velocity,aVelocity,aAcceleration,bVelocity,bAcceleration,cVelocity,cAcceleration,dVelocity,dAcceleration,dxdt,dvdt;while(this._timeAccumulator>=Spring.SOLVER_TIMESTEP_SEC){this._timeAccumulator-=Spring.SOLVER_TIMESTEP_SEC;if(this._timeAccumulator<Spring.SOLVER_TIMESTEP_SEC){this._previousState.position=position;this._previousState.velocity=velocity}aVelocity=velocity;aAcceleration=tension*(this._endValue-tempPosition)-friction*velocity;tempPosition=position+aVelocity*Spring.SOLVER_TIMESTEP_SEC*0.5;tempVelocity=velocity+aAcceleration*Spring.SOLVER_TIMESTEP_SEC*0.5;bVelocity=tempVelocity;bAcceleration=tension*(this._endValue-tempPosition)-friction*tempVelocity;tempPosition=position+bVelocity*Spring.SOLVER_TIMESTEP_SEC*0.5;tempVelocity=velocity+bAcceleration*Spring.SOLVER_TIMESTEP_SEC*0.5;cVelocity=tempVelocity;cAcceleration=tension*(this._endValue-tempPosition)-friction*tempVelocity;tempPosition=position+cVelocity*Spring.SOLVER_TIMESTEP_SEC*0.5;tempVelocity=velocity+cAcceleration*Spring.SOLVER_TIMESTEP_SEC*0.5;dVelocity=tempVelocity;dAcceleration=tension*(this._endValue-tempPosition)-friction*tempVelocity;dxdt=1.0/6.0*(aVelocity+2.0*(bVelocity+cVelocity)+dVelocity);dvdt=1.0/6.0*(aAcceleration+2.0*(bAcceleration+cAcceleration)+dAcceleration);position+=dxdt*Spring.SOLVER_TIMESTEP_SEC;velocity+=dvdt*Spring.SOLVER_TIMESTEP_SEC}this._tempState.position=tempPosition;this._tempState.velocity=tempVelocity;this._currentState.position=position;this._currentState.velocity=velocity;if(this._timeAccumulator>0)this._interpolate(this._timeAccumulator/Spring.SOLVER_TIMESTEP_SEC);if(this.isAtRest()||this._overshootClampingEnabled&&this.isOvershooting()){if(this._springConfig.tension>0){this._startValue=this._endValue;this._currentState.position=this._endValue}else{this._endValue=this._currentState.position;this._startValue=this._endValue}this.setVelocity(0);isAtRest=true}let notifyActivate=false;if(this._wasAtRest){this._wasAtRest=false;notifyActivate=true}let notifyAtRest=false;if(isAtRest){this._wasAtRest=true;notifyAtRest=true}this.notifyPositionUpdated(notifyActivate,notifyAtRest)},notifyPositionUpdated:function notifyPositionUpdated(a,b){for(let i=0,len=this.listeners.length;i<len;i++){let listener=this.listeners[i];if(a&&listener.onSpringActivate)listener.onSpringActivate(this);if(listener.onSpringUpdate)listener.onSpringUpdate(this);if(b&&listener.onSpringAtRest)listener.onSpringAtRest(this)}},systemShouldAdvance:function systemShouldAdvance(){return!this.isAtRest()||!this.wasAtRest()},wasAtRest:function wasAtRest(){return this._wasAtRest},isAtRest:function isAtRest(){return Math.abs(this._currentState.velocity)<this._restSpeedThreshold&&(this.getDisplacementDistanceForState(this._currentState)<=this._displacementFromRestThreshold||this._springConfig.tension===0)},setAtRest:function setAtRest(){this._endValue=this._currentState.position;this._tempState.position=this._currentState.position;this._currentState.velocity=0;return this},_interpolate:function _interpolate(a){this._currentState.position=this._currentState.position*a+this._previousState.position*(1-a);this._currentState.velocity=this._currentState.velocity*a+this._previousState.velocity*(1-a)},getListeners:function getListeners(){return this.listeners},addListener:function addListener(a){this.listeners.push(a);return this},removeListener:function removeListener(a){removeFirst(this.listeners,a);return this},removeAllListeners:function removeAllListeners(){this.listeners=[];return this}});let PhysicsState=function PhysicsState(){};util.extend(PhysicsState.prototype,{position:0,velocity:0});let SpringConfig=rebound.SpringConfig=function SpringConfig(a,b){this.tension=a;this.friction=b};let AnimationLooper=rebound.AnimationLooper=function AnimationLooper(){this.springSystem=null;let _this=this;let _run=function _run(){_this.springSystem.loop(Date.now())};this.run=function(){util.onFrame(_run)}};rebound.SimulationLooper=function SimulationLooper(a){this.springSystem=null;let time=0;let running=false;a=a||16.667;this.run=function(){if(running)return;running=true;while(!this.springSystem.getIsIdle()){this.springSystem.loop(time+=a)}running=false}};rebound.SteppingSimulationLooper=function(b){this.springSystem=null;let time=0;this.run=function(){};this.step=function(a){this.springSystem.loop(time+=a)}};let OrigamiValueConverter=rebound.OrigamiValueConverter={tensionFromOrigamiValue:function tensionFromOrigamiValue(a){return(a-30.0)*3.62+194.0},frictionFromOrigamiValue:function frictionFromOrigamiValue(a){return(a-8.0)*3.0+25.0}};let BouncyConversion=rebound.BouncyConversion=function(a,c){this.speed=c;var b=this.normalize(a/1.7,0,20.0);b=this.projectNormal(b,0.0,0.8);var s=this.normalize(c/1.7,0,20.0);this.bouncyTension=this.projectNormal(s,0.5,200);this.bouncyFriction=this.quadraticOutInterpolation(b,this.b3Nobounce(this.bouncyTension),0.01)};util.extend(BouncyConversion.prototype,{normalize:function normalize(a,b,c){return(a-b)/(c-b)},projectNormal:function projectNormal(n,a,b){return a+n*(b-a)},linearInterpolation:function linearInterpolation(t,a,b){return t*b+(1.0-t)*a},quadraticOutInterpolation:function quadraticOutInterpolation(t,a,b){return this.linearInterpolation(2*t-t*t,a,b)},b3Friction1:function b3Friction1(x){return 0.0007*Math.pow(x,3)-0.031*Math.pow(x,2)+0.64*x+1.28},b3Friction2:function b3Friction2(x){return 0.000044*Math.pow(x,3)-0.006*Math.pow(x,2)+0.36*x+2.},b3Friction3:function b3Friction3(x){return 0.00000045*Math.pow(x,3)-0.000332*Math.pow(x,2)+0.1078*x+5.84},b3Nobounce:function b3Nobounce(a){let friction=0;if(a<=18){friction=this.b3Friction1(a)}else if(a>18&&a<=44){friction=this.b3Friction2(a)}else{friction=this.b3Friction3(a)}return friction}});util.extend(SpringConfig,{fromOrigamiTensionAndFriction:function fromOrigamiTensionAndFriction(a,b){return new SpringConfig(OrigamiValueConverter.tensionFromOrigamiValue(a),OrigamiValueConverter.frictionFromOrigamiValue(b))},fromBouncinessAndSpeed:function fromBouncinessAndSpeed(a,b){var c=new rebound.BouncyConversion(a,b);return this.fromOrigamiTensionAndFriction(c.bouncyTension,c.bouncyFriction)}});SpringConfig.DEFAULT_ORIGAMI_SPRING_CONFIG=SpringConfig.fromOrigamiTensionAndFriction(40,7);util.extend(SpringConfig.prototype,{friction:0,tension:0});let colorCache={};util.hexToRGB=function(a){if(colorCache[a])return colorCache[a];a=a.replace('#','');if(a.length===3)a=a[0]+a[0]+a[1]+a[1]+a[2]+a[2];let parts=a.match(/.{2}/g);let ret={r:parseInt(parts[0],16),g:parseInt(parts[1],16),b:parseInt(parts[2],16)};colorCache[a]=ret;return ret};util.rgbToHex=function(r,g,b){r=r.toString(16);g=g.toString(16);b=b.toString(16);r=r.length<2?'0'+r:r;g=g.length<2?'0'+g:g;b=b.length<2?'0'+b:b;return'#'+r+g+b};let MathUtil=rebound.MathUtil={mapValueInRange:function mapValueInRange(a,b,c,d,e){let fromRangeSize=c-b;let toRangeSize=e-d;let valueScale=(a-b)/fromRangeSize;return d+valueScale*toRangeSize},degreesToRadians:function degreesToRadians(a){return a*Math.PI/180}};util.extend(util,MathUtil);function removeFirst(a,b){let idx=a.indexOf(b);idx!=-1&&a.splice(idx,1)}let _onFrame;if(typeof window!=='undefined'){_onFrame=window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||window.msRequestAnimationFrame||window.oRequestAnimationFrame||function(a){window.setTimeout(a,1000/60)}}if(!_onFrame&&typeof process!=='undefined'&&process.title==='node')_onFrame=setImmediate;util.onFrame=function onFrame(a){return _onFrame(a)};if(typeof exports!='undefined'){util.extend(exports,rebound)}else if(typeof window!='undefined'){window.rebound=rebound}})();'use strict';var _createClass=function(){function defineProperties(a,b){for(let i=0;i<b.length;i++){let descriptor=b[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(a,descriptor.key,descriptor)}}return function(a,b,c){if(b)defineProperties(a.prototype,b);if(c)defineProperties(a,c);return a}}();let Polygon=function(){function Polygon(){let radius=arguments.length<=0||arguments[0]===undefined?100:arguments[0];let sides=arguments.length<=1||arguments[1]===undefined?3:arguments[1];let depth=arguments.length<=2||arguments[2]===undefined?0:arguments[2];let colors=arguments[3];_classCallCheck(this,Polygon);this._radius=radius;this._sides=sides;this._depth=depth;this._colors=colors;this._x=0;this._y=0;this.rotation=0;this.scale=1;this.points=this._getRegularPolygonPoints()}_createClass(Polygon,[{key:'_getRegularPolygonPoints',value:function _getRegularPolygonPoints(){let points=[];let i=0;while(i<this._sides){let x=-this._radius*Math.sin(i*2*Math.PI/this._sides);let y=this._radius*Math.cos(i*2*Math.PI/this._sides);points.push({x:x,y:y});i++}return points}},{key:'_getInscribedPoints',value:function _getInscribedPoints(b,c){let _this=this;let inscribedPoints=[];b.forEach(function(a,i){let start=a;let end=b[i+1];if(!end)end=b[0];let point=_this._getInterpolatedPoint(start,end,c);inscribedPoints.push(point)});return inscribedPoints}},{key:'_getInterpolatedPoint',value:function _getInterpolatedPoint(a,b,c){let Ax=a.x;let Ay=a.y;let Bx=b.x;let By=b.y;let Cx=Ax+(Bx-Ax)*c;let Cy=Ay+(By-Ay)*c;return{x:Cx,y:Cy}}},{key:'_getUpdatedChildren',value:function _getUpdatedChildren(a){let children=[];for(let i=0;i<this._depth;i++){let points=children[i-1]||this.points;let inscribedPoints=this._getInscribedPoints(points,a);children.push(inscribedPoints)}return children}},{key:'renderChildren',value:function renderChildren(c,d){let _this2=this;let children=this._getUpdatedChildren(d);children.forEach(function(b,i){c.beginPath();b.forEach(function(a){return c.lineTo(a.x,a.y)});c.closePath();let strokeColor=_this2._colors.stroke;let childColor=_this2._colors.child;if(strokeColor){c.strokeStyle=strokeColor;c.stroke()}if(childColor){let rgb=rebound.util.hexToRGB(childColor);let alphaUnit=1/children.length;let alpha=alphaUnit+alphaUnit*i;let rgba='rgba('+rgb.r+', '+rgb.g+', '+rgb.b+', '+alpha+')';c.fillStyle=rgba;c.shadowColor='rgba(0,0,0, 0.1)';c.shadowBlur=10;c.shadowOffsetX=0;c.shadowOffsetY=0;c.fill()}})}},{key:'render',value:function render(b){b.save();b.translate(this._x,this._y);if(this.rotation!==0)b.rotate(rebound.MathUtil.degreesToRadians(this.rotation));if(this.scale!==1)b.scale(this.scale,this.scale);b.beginPath();this.points.forEach(function(a){return b.lineTo(a.x,a.y)});b.closePath();let strokeColor=this._colors.stroke;let childColor=this._colors.base;if(strokeColor){b.strokeStyle=strokeColor;b.stroke()}if(childColor){b.fillStyle=childColor;b.fill()}b.restore()}}]);return Polygon}();'use strict';var _createClass=function(){function defineProperties(a,b){for(let i=0;i<b.length;i++){let descriptor=b[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(a,descriptor.key,descriptor)}}return function(a,b,c){if(b)defineProperties(a.prototype,b);if(c)defineProperties(a,c);return a}}();function _classCallCheck(a,b){if(!(a instanceof b)){throw new TypeError("Cannot call a class as a function");}}let Spinner=function(){function Spinner(a){_classCallCheck(this,Spinner);let radius=a.radius,sides=a.sides,depth=a.depth,colors=a.colors,alwaysForward=a.alwaysForward,restAt=a.restAt,renderBase=a.renderBase;if(sides<3){console.warn('At least 3 sides required.');sides=3}this._canvas=document.createElement('canvas');this._canvas.style.backgroundColor=colors.background;this._canvas.style.zIndex=1100;this._canvasW=null;this._canvasH=null;this._canvasOpacity=1;this._centerX=null;this._centerY=null;this._alwaysForward=alwaysForward;this._restThreshold=restAt;this._renderBase=renderBase;this._springRangeLow=0;this._springRangeHigh=this._restThreshold||1;this._basePolygon=new Polygon(radius,sides,depth,colors);this._progress=0;this._isAutoSpin=null;this._isCompleting=null}_createClass(Spinner,[{key:'init',value:function init(a,b){this._addCanvas();this._spring=a;this._addSpringListener();this._isAutoSpin=b;if(b){this._spin()}else{this._spring.setEndValue(0);this.render()}}},{key:'_addCanvas',value:function _addCanvas(){document.body.appendChild(this._canvas);this._context=this._canvas.getContext('2d');this._setCanvasSize()}},{key:'_setCanvasSize',value:function _setCanvasSize(){this._canvasW=this._canvas.width=window.innerWidth;this._canvasH=this._canvas.height=window.innerHeight;this._canvas.style.position='fixed';this._canvas.style.top=0;this._canvas.style.left=0;this._centerX=this._canvasW/2;this._centerY=this._canvasH/2}},{key:'_addSpringListener',value:function _addSpringListener(){let ctx=this;this._spring.addListener({onSpringUpdate:function onSpringUpdate(a){let val=a.getCurrentValue();let fromLow=0,fromHigh=1,toLow=ctx._springRangeLow,toHigh=ctx._springRangeHigh;val=rebound.MathUtil.mapValueInRange(val,fromLow,fromHigh,toLow,toHigh);ctx.render(val)}})}},{key:'setComplete',value:function setComplete(){this._isCompleting=true}},{key:'_completeAnimation',value:function _completeAnimation(){this._canvasOpacity-=0.1;this._canvas.style.opacity=this._canvasOpacity;if(this._canvasOpacity<=0){this._isAutoSpin=false;this._spring.setAtRest();this._canvas.remove()}}},{key:'_spin',value:function _spin(){if(this._alwaysForward){let currentValue=this._spring.getCurrentValue();if(this._restThreshold&&currentValue===1)this._switchSpringRange();if(currentValue===1)this._spring.setCurrentValue(0).setAtRest()}this._spring.setEndValue(this._spring.getCurrentValue()===1?0:1)}},{key:'_switchSpringRange',value:function _switchSpringRange(){let threshold=this._restThreshold;this._springRangeLow=this._springRangeLow===threshold?0:threshold;this._springRangeHigh=this._springRangeHigh===threshold?1:threshold}},{key:'render',value:function render(a){if(a)this._progress=Math.round(a*10000)/10000;if(this._isAutoSpin&&this._spring.isAtRest())this._spin();if(this._isCompleting)this._completeAnimation();this._context.clearRect(0,0,this._canvasW,this._canvasH);this._context.save();this._context.translate(this._centerX,this._centerY);this._context.lineWidth=1.5;if(this._renderBase)this._basePolygon.render(this._context);this._basePolygon.renderChildren(this._context,this._progress);this._context.restore()}}]);return Spinner}();'use strict';

